Bug 170045 - Buffer overflow in xsupplicant
Buffer overflow in xsupplicant
Product: Fedora
Classification: Fedora
Component: xsupplicant (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
: Security
Depends On:
  Show dependency treegraph
Reported: 2005-10-06 16:09 EDT by Miloslav Trmač
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.2.2-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-03 10:25:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
The promised patch (620 bytes, patch)
2005-10-06 16:09 EDT, Miloslav Trmač
no flags Details | Diff
The same patch, updated for 1.2.2 (673 bytes, patch)
2005-12-18 12:57 EST, Miloslav Trmač
no flags Details | Diff

  None (edit)
Description Miloslav Trmač 2005-10-06 16:09:48 EDT
(This seems to be something different from #167467.)

cardif_getframe () passes a too small buffer to recvfrom (). The attached
patch fixes this.

Version-Release number of selected component (if applicable):

Additional info:
Please send it upstream too.
Comment 1 Miloslav Trmač 2005-10-06 16:09:49 EDT
Created attachment 119684 [details]
The promised patch
Comment 2 Miloslav Trmač 2005-12-18 12:57:31 EST
Created attachment 122386 [details]
The same patch, updated for 1.2.2
Comment 3 Hans de Goede 2006-01-02 16:43:23 EST
This seemes to be fixed in upstream CVS by just setting resultsize to 1520
instead of making the buffer larger.

Tom, I've got CVS access myself, shall I make a patch with upstreams fix,
include this in the spec, bump the release and push through a build?
Comment 4 Tom "spot" Callaway 2006-01-02 16:45:47 EST
Sure, go ahead.
Comment 5 Hans de Goede 2006-01-03 10:25:43 EST
This has been fixed in cvs and successfully build for FC-3, FC-4 and devel. The
fixed version should show up in the repos soon.

Note You need to log in before you can comment on or make changes to this bug.